### Method

# Fwupd BiosSetting set_id

#### Declaration [src]

    void
    fwupd_bios_setting_set_id (
      FwupdBiosSetting* self,
      const gchar* id
    )

#### Description [src]

Sets the unique attribute identifier for this attribute.

Available since: | 1.8.4

#### Parameters

`id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.